.\"	This file is automatically generated.  Do not edit!
.\" include the -mh macro file
.so /usr/misc/mh/lib/tmac.h
.\"	This file is automatically generated.  Do not edit!
.SC INC 1
.NA
inc \- incorporate new mail
.SY
inc
\%[+folder]
\%[\-audit\ audit\-file] \%[\-noaudit]
\%[\-changecur] \%[\-nochangecur]
\%[\-form\ formatfile]
\%[\-format\ string]
\%[\-file\ name]
\%[\-silent] \%[\-nosilent]
\%[\-truncate] \%[\-notruncate]
\%[\-width\ columns]
\%[\-host\ host] \%[\-user\ user]
\%[\-pack\ file] \%[\-nopack]
\%[\-rpop] \%[\-norpop]
\%[\-help]
.DE
\fIInc\fR incorporates mail from the user's incoming mail drop
into an \fIMH\fR folder.
If `+folder' isn't specified,
the folder named \*(lqinbox\*(rq in the user's \fIMH\fR directory will be used.
The
new messages being incorporated are assigned numbers starting
with the next highest number in the folder.
If the specified (or default) folder doesn't exist,
the user will be queried prior to its creation.
As the messages are processed,
a \fIscan\fR listing of the new mail is produced.

If the user's profile contains a \*(lqMsg\-Protect: nnn\*(rq entry, it
will be used as the protection on the newly created messages,
otherwise the \fIMH\fR default of 0644 will be used.
During all operations on messages,
this initially assigned protection will
be preserved for each message, so \fIchmod\fR(1) may be used to set a
protection on an individual message, and its protection will be
preserved thereafter.

If the switch `\-audit\ audit\-file' is specified (usually as a
default switch in the profile), then \fIinc\fR will append a header
line and a line per message to the end of the specified
audit\-file with the format:

.nf
.ti 1i
\*(<<inc\*(>> date
.ti 1.5i
<scan line for first message>
.ti 1.5i
<scan line for second message>
.ti 2.5i
<etc.>
.fi

This is useful for keeping track of volume and source of incoming
mail.
Eventually, \fIrepl\fR, \fIforw\fR, \fIcomp\fR, and \fIdist\fR may also
produce audits to this (or another) file, perhaps with
\*(lqMessage\-Id:\*(rq information to keep an exact correspondence history.
\*(lqAudit\-file\*(rq will be in the user's MH directory unless a full
path is specified.

\fIInc\fR will incorporate even improperly formatted messages into the
user's MH folder, inserting a blank line prior to the offending
component and printing a comment identifying the bad message.

In all cases, the user's mail drop will be zeroed,
unless the `\-notruncate' switch is given.

If the profile entry \*(lqUnseen\-Sequence\*(rq is present and non\-empty,
then \fIinc\fR will add each of the newly incorporated messages to each
sequence named by the profile entry.
This is similar to the \*(lqPrevious\-Sequence\*(rq profile entry supported
by all \fIMH\fR commands which take `msgs' or `msg' arguments.
Note that \fIinc\fR will not zero each sequence prior to adding messages.

The interpretation of the `\-form\ formatfile', `\-format\ string',
and `\-width\ columns' switches is the same as in \fIscan\fR\0(1).

By using the `\-file\ name' switch, one can direct \fIinc\fR to incorporate
messages from a file other than the user's maildrop.
Note that the name file will NOT be zeroed,
unless the `\-truncate' switch is given.

If the envariable \fB$MAILDROP\fR is set,
then \fIinc\fR uses it as the location of the user's maildrop instead of the
default (the `-file\ name' switch still overrides this, however).
If this envariable is not set,
then \fIinc\fR will consult the profile entry \*(lqMailDrop\*(rq for this
information.
If the value found is not absolute,
then it is interpreted relative to the user's \fIMH\fR directory.
If the value is not found,
then \fIinc\fR will look in the standard system location for the user's
maildrop.

The `\-silent' switch directs \fIinc\fR to be quiet and not ask any questions
at all.
This is useful for putting \fIinc\fR in the background and going on to other
things.

If the local host is configured as a POP client,
or if the `\-host\ host' switch is given,
then \fIinc\fR will query the POP service host as to the status of mail
waiting.
The `\-user\ user' switch may be given to specify the name of the POP
subscriber you wish to check mail for on the POP service host.
The `\-rpop' switch uses the UNIX \fIrPOP\fR
(authentication done via trusted connections).
In contrast, the `\-norpop' switch uses the ARPA \fIPOP\fR
(in which case \fIinc\fR will prompt for a password).

If \fIinc\fR uses POP,
then the `\-pack\ file' switch is considered.
If given,
then \fIinc\fR simply uses the POP to \fIpackf\fR\0(1) the user's maildrop
from the POP service host to the named file.
This switch is provided for those users who prefer to use \fImsh\fR to
read their maildrops.
.Fi
^$HOME/\&.mh\(ruprofile~^The user profile
^/usr/misc/mh/lib/mtstailor~^tailor file
^/usr/spool/mail/$USER~^Location of mail drop
.Pr
^Path:~^To determine the user's MH directory
.Ps
^Alternate\-Mailboxes:~^To determine the user's mailboxes
.Ps
^Folder\-Protect:~^To set mode when creating a new folder
.Ps
^Msg\-Protect:~^To set mode when creating a new message and audit\-file
.Ps
^Unseen\-Sequence:~^To name sequences denoting unseen messages
.Sa
\fIPost Office Protocol (revised)\fR (aka RFC\-819 with revisions),
.br
mhmail(1), scan(1), mh\-mail(5), post(8)
.De
`+folder' defaults to \*(lqinbox\*(rq
.Ds
`\-noaudit'
.Ds
`\-changecur'
.Ds
`\-format' defaulted as described above
.Ds
`\-nosilent'
.Ds
`\-truncate' if `\-file\ name' not given, `\-notruncate' otherwise
.Ds
`\-width' defaulted to the width of the terminal
.Ds
`\-nopack'
.Ds
`\-rpop'
.Co
The folder into which messages are being incorporated will become the
current folder.
The first message incorporated will become the current message,
unless the `\-nochangecur' option is specified.
This leaves the context ready for a \fIshow\fR
of the first new message.
.Bu
The argument to the `\-format' switch must be interpreted as a single token
by the shell that invokes \fIinc\fR.
Therefore,
one must usually place the argument to this switch inside double\-quotes.
.En
