.\"	This file is automatically generated.  Do not edit!
.\" include the -mh macro file
.so /usr/misc/mh/lib/tmac.h
.\"	This file is automatically generated.  Do not edit!
.SC SCAN 1
.NA
scan \- produce a one line per message scan listing
.SY
scan
\%[+folder] \%[msgs]
\%[\-clear] \%[\-noclear]
\%[\-form\ formatfile]
\%[\-format\ string]
\%[\-header] \%[\-noheader]
\%[\-width\ columns]
\%[\-help]
.DE
\fIScan\fR produces a one\-line\-per\-message listing of the specified
messages.
Each \fIscan\fR line contains the message number (name),
the date, the \*(lqFrom:\*(rq field, the \*(lqSubject\*(rq field, and, if room
allows, some of the body of the message.
For example:

.nf
.in +.5i
.ta \w'15+- 'u +\w'7/\05  'u +\w'Dcrocker  'u
15+	7/\05	Dcrocker	nned\0\0\*(<<Last week I asked some of
16\0-	7/\05	dcrocker	message id format\0\0\*(<<I recommend
18	7/\06	Obrien	Re: Exit status from mkdir
19	7/\07	Obrien	\*(lqscan\*(rq listing format in MH
.re
.in -.5i
.fi

The `+' on message 15 indicates that it is the current message.
The `\-' on message 16 indicates that it has been
replied to, as indicated by a \*(lqReplied:\*(rq component produced by
an `\-annotate' switch to the \fIrepl\fR command.

If there is sufficient room left on the \fIscan\fR line after the
subject, the line will be filled with text from the body,
preceded by <<, and terminated by >> if the body is sufficiently short.
\fIScan\fR actually reads each of the specified
messages and parses them to extract the desired fields.
During parsing, appropriate error messages will be produced if
there are format errors in any of the messages.

The `\-header' switch produces a header line prior to the \fIscan\fR
listing.
Currently,
the name of the folder and the current date and time are output
(see the \fBHISTORY\fR section for more information).

If the `\-clear' switch is used and \fIscan's\fR output is directed to a
terminal,
then \fIscan\fR will consult the \fB$TERM\fR and \fB$TERMCAP\fR
envariables to determine your
terminal type in order to find out how to clear the screen prior to exiting.
If the `\-clear' switch is used and \fIscan's\fR output is not directed to
a terminal (e.g., a pipe or a file),
then \fIscan\fR will send a formfeed prior to exiting.

For example, the command:

.ti +.5i
(scan \-clear \-header; show all \-show pr \-f) | lpr

produces a scan listing of the current folder, followed by a formfeed,
followed by a formatted listing of all messages in the folder, one per
page.  Omitting `\-show\ pr\ \-f' will cause the messages to be concatenated,
separated by a one\-line header and two blank lines.

If \fIscan\fR encounters a message without a \*(lqDate:\*(rq field,
rather than leaving that portion of the scan listing blank,
the date is filled\-in with the last write date of the message,
and post\-fixed with a `*'.
This is particularly handy for scanning a \fIdraft folder\fR,
as message drafts usually aren't allowed to have dates in them.

To override the output format used by \fIscan\fR,
the `\-format\ string' or `\-format\ file' switches are used.
This permits individual fields of the scan listing to be extracted with ease.
The string is simply a format string and the file is simply a format file.
See \fImh\-format\fR\0(5) for the details.

In addition to the standard escapes,
\fIscan\fR also recognizes the following additional escape:
.nf
.ta \w'escape  'u
\fIescape\fR	\fIsubstitution\fR
body	the (compressed) first part of the body
.re
.fi

On hosts where \fIMH\fR was configured with the BERK option,
\fIscan\fR has two other switches: `\-reverse', and `\-noreverse'.
These make \fIscan\fR list the messages in reverse order.
In addition,
\fIscan\fR will update the \fIMH\fR context prior to starting the listing,
so interrupting a long \fIscan\fR listing preserves the new context.
\fIMH\fR purists hate both of these ideas.
.Fi
^$HOME/\&.mh\(ruprofile~^The user profile
.Pr
^Path:~^To determine the user's MH directory
.Ps
^Alternate\-Mailboxes:~^To determine the user's mailboxes
.Ps
^Current\-Folder:~^To find the default current folder
.Sa
inc(1), pick(1), show(1), mh\-format(5)
.De
`+folder' defaults to the folder current
.Ds
`msgs' defaults to all
.Ds
`\-format' defaulted as described above
.Ds
`\-noheader'
.Ds
`\-width' defaulted to the width of the terminal
.Co
If a folder is given, it will become the current folder.
.Hi
Prior to using the format string mechanism,
`\-header' used to generate a heading saying what each column in the listing
was.
Format strings prevent this from happening.
.Bu
The argument to the `\-format' switch must be interpreted as a single token
by the shell that invokes \fIscan\fR.
Therefore,
one must usually place the argument to this switch inside double\-quotes.
.En
