.TH XSET 1 "15 November 1985" "X Version 10"
.SH NAME
xset - X window system user setup program
.SH SYNOPSIS
.B xset
option [ option ] [ \fIfhost\fP:\fIdisplay\fP ]
.SH DESCRIPTION
This program is used to set various user preference options of the display.
The \fBc\fP option controls key click,
the \fBl\fP option controls the lock key,
the \fBr\fP option controls the auto repeat,
the \fBb\fP option controls bell volume,
the \fBm\fP option controls the mouse parameters,
the \fBp\fP option controls pixel color values,
and the \fBs\fP and \fBv\fP options let you set the screen saver parameters.
Any of these can be preceded with a \fB-\fP to disable the feature,
or followed by \fBon\fP or \fBoff\fP if you prefer.
The keyclick option can also be followed by an optional digit between
1 and 8 to indicate volume.
For example: ``xset c on'' turns on keyclick;
``xset -r'' would turn off autorepeat;
``xset b 5'' sets the bell volume.
.PP
The parameters for the mouse are ``acceleration'' and ``threshold''.
The acceleration of the mouse only takes effect if the ``threshold'' is
exceeded.
.PP
The parameters for a pixel are the color map entry number in decimal,
and a color specification.  The root window colors can be changed by
altering entries 0 and 1.  The map entry must not be a read-only color,
or an error will result.
.PP
The parameters for the screen saver function determines how long the
server must be inactive for screen saving to go on, and the period
to change the background pattern to avoid burn in.
The arguments are specified in minutes.  Using the \fBv\fP option sets the
preference to blank the video (if the hardware can do so) rather than display
a background pattern.  Using the \fBs\fP option sets the preference to display
a pattern rather than blank the video.
.PP
These settings will be reset to default values when you log out.
.PP
Note that not all X implementations are guaranteed to honor all of these
options.
.SH AUTHOR
Copyright (c) 1985, 1986 by Massachusetts Institute of Technology.
.br
See \fIX(1)\fP for a full copyright notice.
.br
Bob Scheifler, MIT Laboratory for Computer Science
.SH "SEE ALSO"
X(8C)
